libsigc++: sigc::mem_functor< T_func, T_arg > Class Template Reference

libsigc++ 3.0.3

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Protected Attributes | List of all members
sigc::mem_functor< T_func, T_arg > Class Template Reference

`#include <sigc++/functors/mem_fun.h>`

## Public Types
using | function_type = T_func
using | obj_type_with_modifier = typename std::conditional_t< internal::member_method_is_const< T_func >::value, const object_type, object_type >
using | object_type = typename internal::member_method_class< T_func >::type

## Public Member Functions
| mem_functor ()
| Constructs an invalid functor. More...
| mem_functor (function_type func)
| Constructs a mem_functor object that wraps the passed method. More...
decltype(auto) | operator() (obj_type_with_modifier& obj, type_trait_take_t< T_arg >...a) const
| Execute the wrapped method operating on the passed instance. More...

## Protected Attributes
function_type | func_ptr_

## Member Typedef Documentation

template <typename T_func, typename... T_arg>

using sigc::mem_functor< T_func, T_arg >::function_type = T_func

template <typename T_func, typename... T_arg>

using sigc::mem_functor< T_func, T_arg >::obj_type_with_modifier = typename std:: conditional_t<internal::member_method_is_const<T_func>::value, const object_type, object_type>

template <typename T_func, typename... T_arg>

using sigc::mem_functor< T_func, T_arg >::object_type = typename internal::member_method_class<T_func>::type

## Constructor & Destructor Documentation

template <typename T_func, typename... T_arg>

sigc::mem_functor< T_func, T_arg >::mem_functor | ( |  | ) |
| inline

Constructs an invalid functor.

template <typename T_func, typename... T_arg>

sigc::mem_functor< T_func, T_arg >::mem_functor | ( | function_type | func | ) |
| inlineexplicit

Constructs a mem_functor object that wraps the passed method.

Parameters

  func | Pointer to method will be invoked from operator()().

## Member Function Documentation

template <typename T_func, typename... T_arg>

decltype(auto) sigc::mem_functor< T_func, T_arg >::operator() | ( | obj_type_with_modifier& | obj,
|  | type_trait_take_t< T_arg >... | a
| ) |  | const
| inline

Execute the wrapped method operating on the passed instance.

Parameters

  obj | Reference to instance the method should operate on.
  a | Arguments to be passed on to the method.

Returns
  The return value of the method invocation.

## Member Data Documentation

template <typename T_func, typename... T_arg>

function_type sigc::mem_functor< T_func, T_arg >::func_ptr_
| protected